Week 2016-05-15 to 2016-05-21
=============================

We will be working on:

  * Continuing the search for Si, starting populations for NonCollinearMagMoms and OrbitalDFTU
  * Moving to Spruce and start using mongo01.systems.wvu.edu for execution.
  * Working on (API + Tutorial) documentation for those three populations and Firefly as searcher. Adam will start preparing the Tutorial documentation and Guillermo will work on the API documentation.
  * Guillermo will create and alternative Evaluator for VASP, the current one is working but more robustness could be added.
  * Adding Unitest for the classes involved above.

Issues encountered and solutions:

   * Adam's machine was down this morning, aparently all VASP executions where complete, forces and stresses were back to DB and 4 of the 8 structures were relaxed under the tolerance.
   
2016-05-18
==============================
   * Firefly's structural search module is working, at least for one generation with the previously discussed silicon system with 1-8 atoms per structure. I will let in run in the background overnight, and tomorrow morning we will see if it continues to work.
  
2016-05-19
==============================
  Goals
  * Check and see if the structural search is running correctly.
     * If it has completed, check to see if the results agree with what is expected. 
  * Begin magnetic moment search as well as orbital occupation search.

  What we worked on

  * Today we were able to generate a population for the magnetic moment search for perovskite CaMnO3, with a population size of 8 for the sake of testing
  * The evaluator script that automates the calculation of desired properties for generated population with VASP currently only works with structure relaxation
  * Since we don't want to relax the structure for a magnetic moment search, this script needs to be modifed before any progress can be made

2016-05-24
=================================

We have identified a major issue with the evaluator script in Spruce. When I job is complete, the script does not recognize it, and resubmits it to the queue. This is easily fixed by including a few more lines of code. Since I was out sick, Guillermo said he would fix this.

2016-06-02
================================

* Magnetic Moment Search
  * We finally seemed to have gotten all the issues with the evaluator sorted out. A 16 generation population for NiF2 is running in Spruce. Only time will tell if it continues to work properly, and I will continue to monitor its progress. However, for the moment, the evaluator script is properly submitted jobs to Spruce. 

* Orbital Occupation
  * Instead of UO2, we used KCoF3 since the necessary input files have been previously created for abinit, in order to save time.
  * We ran into this error trying to run the searcher:
    *ValueError: shapes (4,4) and (5,5) not aligned: 4 (dim 1) != 5 (dim 0)
    * Guillermo is going to help me fix it tomorrow morning, as I'm still not 100% sure of why exactly we have this error.
    * This issue does seem to be due to the fact that we are using d-orbitals with 4 atoms, so we have a mismatch somewhere in the code between some 5x5 and some 4x4 matrices
* Structural Search
  * We believe the issue with the structure that failed to run is that it might be metallic, while the parameters governing ISMEAR are still set as if it is insulating. 
  * To remedy this, we have adopted a method similar to the one described in this manual: http://han.ess.sunysb.edu/uspex_manual/sect0018.html
    * Essentially, we are using a six step process to relax a given structure, starting off with a rough calculation with increasinly higher tolerances for each step.
    * We still need to implement code that will change the value of SIGMA depending on if the structure is an insulator or a metal. By looking at the bandgap from the OUTCAR, this should be doable.
    
Week 2016-06-13 to 2016-06-17
=============================

Monday 06-13

* Over the weekend a magnetic moment calculation for NiF2 completed without error
  * To be more clear, the code ran without failing until a bet candidate was found
  * The best candidate had energies that were significantly lower than any other candidate
  * This was because in writing the POSCAR from the information stored in the database, the composition of the struture switched from NiF2 to Ni2F
  * This issue has been fixed and checked for all entries in the master database. This database has over 300,000 structures stored in it. 
  * NiF2 is running in Spruce now. Based on how long it took over the weekend, it should be finished in approximately 48 hours

* The structural search ran correctly until the 2nd generation
* Even before reaching the 2nd generation, there have been several errors along the way
  * When relaxing the structure using ISIF=3, the symmetry of the lattice can change, which means the symmetry of the kpoint mesh also needs to change. Currently this is not, which caused an error for 2 structures. A qucik fix was to raise the SYMPREC tolerance to 10e-8, but this seems like a band-aid. The kpoint grid should in principle update if the symmerty of the lattice changes
  * This took me a bit to realize, but in several cases the forces would reach the desired tolerance, yet the stresses would still be very large (30-40 kB). In these cases the ENCUT was equal to the energy in the POTCAR. Through reading VASP's documentation, ENCUT = 1.3*value from the POTCAR in orer for accurate stresses to be calculated. This change fixed this issue
* The error in the 2nd generation is that a randomly generated structure has atoms which are too close to one another. I feel that there are two possible solutions: Either the code needs to identify when a structure is bad from VASP's log file and replace it with a different random structure, or the code that generates the structures needs to generate ionic positions in a way that no ato is too close to another atom. I would imagine it is already written in a way such that too atoms do not overlap, and it seems reasonable to me that the in the code this is interpreted as a minimum distance between atoms. It should be relatively straightforward to extend this minimum distance so that this issue no longer occurs. I will talk to Guillermo about it shortly.
* The issue was not in the generation of the structure, but in the movement of structures towardsthe best candidate. In looking at the POSCAR, the cell itself is huge. We discussed a possible fix that checks the density, and if it is small, then the structure is discarded and replaced.
 




